/* external definitions for audio hardware interface */

char *audio_open();
int audio_close(char * cookie);
int audio_write(char * cookie, char *buff, int bytes);
int audio_inq(char * cookie);
int audio_modes(char * cookie);
int audio_setmode(char * cookie, int rate, int chan, int mode);

extern int *audio_rates;		/* rates supported for AUDIO_LIN */

#define AUDIO_MU		1		/* audio supports mono, mu-law */
#define AUDIO_LIN		2		/* audio supports linear stereo */
